Package nl.tue.id.oocsi.client.protocol

# Class EventHandler

java.lang.Object
nl.tue.id.oocsi.client.protocol.Handler
nl.tue.id.oocsi.client.protocol.EventHandler

Direct Known Subclasses:
  `RateLimitedEventHandler`

    public abstract class EventHandler
    extends Handler

event handler for events with structured data

Author:
  matsfunk

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EventHandler()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `receive​(java.lang.String sender, java.util.Map<java.lang.String,​java.lang.Object> data, long timestamp, java.lang.String channel, java.lang.String recipient)` | abstract method to be implemented in anonymous classes that are instantiated by subscribing and registering for events
  `abstract void` | `receive​(OOCSIEvent event)` | abstract method to be implemented in anonymous classes that are instantiated by subscribing and registering for events; encapsulates all incoming data as OOCSIEvent object

  ### Methods inherited from class nl.tue.id.oocsi.client.protocol.Handler

  `parseData, parseTimestamp, send`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventHandler

    public EventHandler()

- ## Method Details

  - ### receive

    public void receive​(java.lang.String sender, java.util.Map<java.lang.String,​java.lang.Object> data, long timestamp, java.lang.String channel, java.lang.String recipient)
    Description copied from class: `Handler`
    abstract method to be implemented in anonymous classes that are instantiated by subscribing and registering for events
    Specified by:
      `receive` in class `Handler`

  - ### receive

    public abstract void receive​(OOCSIEvent event)
    abstract method to be implemented in anonymous classes that are instantiated by subscribing and registering for events; encapsulates all incoming data as OOCSIEvent object
    Parameters:
      `event` -